
<html>
    <head>
        <title>Tabela do BootStrap</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="../css/estilo.css" rel="stylesheet" type="text/css"/>
        <script src="https://code.jquery.com/jquery-3.1.1.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.quicksearch/2.3.1/jquery.quicksearch.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    </head>
    <body>

        <h1><b>BootStrap</b></h1>
        <hr>

        <table><tr>
                <td>Classe:<input id="txt_consulta" placeholder="Pesquisar" type="text" />

                </td>
            </tr>
        </table>


        <table id="tabela" border="2" width="100%" class="full_table_list">


            <thead>
                <tr>
                    <td><b>Codigo</b></td>
                    <td><b>classe</b></td>
                    <td><b>Descricao</b></td>
                    <td><b>Link</b></td>
                </tr>

            </thead> 
            <tbody>
                <tr>
                    <td>0001</td><td>examples</td><td>O Bootstrap inclui vários estilos de botões predefinidos, cada um com seu próprio objetivo semântico, com alguns extras disponíveis para maior controle.</td><td><a href="https://getbootstrap.com/docs/4.0/components/buttons#examples"  target="_blank" class="texto1">examples</a></td>
                </tr>
                <tr>
                    <td>0002</td><td>outline-buttons</td><td>Precisa de um botão, mas não as cores de fundo pesadas que eles trazem? Substitua as classes modificadoras padrão por .btn-outline-*aquelas para remover todas as imagens e cores de segundo plano em qualquer botão.</td><td><a href="https://getbootstrap.com/docs/4.0/components/buttons/#outline-buttons" target="_blank" class="texto1">outline-buttons</a></td>
                </tr>
                <tr>
                    <td>0003</td><td>active-state</td><td>Os botões aparecerão pressionados (com fundo mais escuro, borda mais escura e sombra embutida) quando ativos. Não há necessidade de adicionar uma classe a, &lt;button&gt;pois eles usam uma pseudo-classe . No entanto, você ainda pode forçar a mesma aparência ativa com .active(e incluir o aria-pressed="true"atributo) caso precise replicar o estado programaticamente.</td><td><a href="https://getbootstrap.com/docs/4.0/components/buttons/#active-state" target="_blank" class="texto1">active-state</a></td>
                </tr>
                <tr>
                    <td>0004</td><td>disabled-state</td><td>Adiciona pequenos pontos / indicadores na parte inferior de cada slide (o que indica quantos slides existem no carrossel e qual slide o usuário está visualizando atualmente)</td><td><a href="https://getbootstrap.com/docs/4.0/components/buttons/#disabled-state" target="_blank" class="texto1">disabled-state</a></td>
                </tr>
                <tr>
                    <td>0005</td><td>checkbox-and-radio-buttons</td><td>Os .buttonestilos do Bootstrap podem ser aplicados a outros elementos, como &lt;label&gt; s, para fornecer a caixa de seleção ou alternar o botão de estilo de opção. Adicione data-toggle="buttons"a um .btn-groupdesses botões modificados para ativar o comportamento de alternância deles via JavaScript e adicione .btn-group-toggleestilos aos &lt;input&gt; seus botões.</td><td><a href="https://getbootstrap.com/docs/4.0/components/buttons/#checkbox-and-radio-buttons" target="_blank" class="texto1">checkbox-and-radio-buttons</a></td>
                </tr>
                <tr>
                    <td>0006</td><td>nesting</td><td>Coloque um .btn-groupdentro de outro .btn-groupquando quiser que os menus suspensos sejam misturados com uma série de botões.</td><td><a href="https://getbootstrap.com/docs/4.0/components/button-group/#nesting" target="_blank" class="texto1">nesting</a></td>
                </tr>
                <tr>
                    <td>0007</td><td>button-toolbar</td><td>Combine conjuntos de grupos de botões nas barras de ferramentas de botões para obter componentes mais complexos. Use as classes de utilitário conforme necessário para espaçar grupos, botões e muito mais.</td><td><a href="https://getbootstrap.com/docs/4.0/components/button-group/#button-toolbar" target="_blank" class="texto1">button-toolbar</a></td>
                </tr>
                <tr>
                    <td>0008</td><td>links-and-buttons</td><td>Use &lt;a&gt; s ou &lt;button&gt; s para criar itens de grupo de lista acionáveis ​​com estados de foco, desativado e ativo, adicionando .list-group-item-action. Separamos essas pseudo-classes para garantir que os grupos de listas constituídos por elementos não interativos (como &lt;li&gt; s ou &lt;div&gt; s) não forneçam um clique ou toque.</td><td><a href="https://getbootstrap.com/docs/4.3/components/list-group/#links-and-buttons" target="_blank" class="texto1">links-and-buttons</a></td>
                </tr>
                <tr>
                    <td>0009</td><td>button-tags</td><td>As classes .btn são projetadas para serem usadas com o elemento &lt;button&gt;. No entanto, você também pode usar essas classes nos elementos &lt;a&gt; ou &lt;input&gt;  (embora alguns navegadores possam aplicar uma renderização ligeiramente diferente).</td><td><a href="https://getbootstrap.com/docs/4.3/components/buttons/#button-tags" target="_blank" class="texto1">button-tags</a></td>
                </tr>
                <tr>
                    <td>0010</td><td>links</td><td>O uso das classes contextuais .badge- * em um elemento &lt;a&gt;  fornece rapidamente emblemas acionáveis com estados de foco e foco.</td><td><a href="https://getbootstrap.com/docs/4.3/components/badge/#links" target="_blank" class="texto1">links</a></td>
                </tr>
            </tbody>

            <script>

                $('input#txt_consulta').quicksearch('table#tabela tbody tr');

            </script>

        </table>





















    </body>
</html>
